View Issue Details

IDProjectCategoryView StatusLast Update
0000180Adam4EVEBugpublic2016-12-23 06:10
ReporterSuccessorAssigned ToSuccessor 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version0.0.3 
Target VersionFixed in Version0.0.6 
Summary0000180: CREST market history - Pause script if CREST is unavailable
DescriptionCurrently the script is waiting a few seconds and then skips the commodity and tries the next. During regular downtime that leads to those commodities not being updated.

It would be cleverer if the script would pause and wait until CREST returns and only aborts after a significant amount of time.
The process would also be shown in process monitoring.


CREST: HTTP error doing CREST request!'
URL: https://crest-tq.eveonline.com/market/10000016/history/?type=https://crest-tq.eveonline.com/inventory/types/258/
HTTP status code: 503
HTTP reason: SERVICE UNAVAILABLE

CREST: HTTP error doing CREST request!'
URL: https://crest-tq.eveonline.com/market/10000016/history/?type=https://crest-tq.eveonline.com/inventory/types/19814/

TagsNo tags attached.

Activities

Successor

2016-12-23 06:10

administrator   ~0000138

Implemented.
Furthermore implemented a "history" parameter in order for the script to import all given data from the API instead only to the last date recorded in DB

Issue History

Date Modified Username Field Change
2016-11-11 12:24 Successor New Issue
2016-12-02 15:10 Successor Target Version 0.0.5 =>
2016-12-23 06:10 Successor Note Added: 0000138
2016-12-23 06:10 Successor Status new => resolved
2016-12-23 06:10 Successor Fixed in Version => 0.0.6
2016-12-23 06:10 Successor Resolution open => fixed
2016-12-23 06:10 Successor Assigned To => Successor